%define  _requires_exceptions pear(/usr/share/websubrev/includes/confConstants.php)

Name:           websubrev
Version:        0.61
Release:        %mkrel 4
Epoch:          0
Summary:        Web Submission and Review Software
License:        CPL
Group:          Networking/Other
URL:            http://theory.csail.mit.edu/~shaih/websubrev/
Source0:        http://theory.csail.mit.edu/~shaih/websubrev/websubrev.zip
Requires:       php-mysql
Requires(post): rpm-helper
Requires(postun): rpm-helper
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Web Submission and Review Software is a conference management software 
that provides support for the entire life-cycle of the conference review 
process, starting with the submissions of papers and ending in the 
receipt of the camera-ready versions of the accepted papers (and even 
automatic generation of the table-of-contents and author index for the 
conference proceedings).

One of the goals of this software is to make administration as easy as 
possible. In particular, you never need to run scripts etc.

%prep
%setup -q -c
%{__perl} -pi -e 's/\r$//g' testOnly/subs/*.txt

%{_bindir}/find webtree -type f -name '*.php' | %{_bindir}/xargs -t \
  %{__perl} -pi -e 's|[\./]*includes/|%{_datadir}/%{name}/includes/|g;'

# FIXME: this doesn't work
%{__perl} -pi -e 's|\$logFile\)|"%{_logdir}/%{name}/errors.log")|' webtree/chair/doInitialize.php

%build

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_var}/lib/%{name}
%{__mkdir_p} %{buildroot}%{_logdir}/%{name}
%{__mkdir_p} %{buildroot}%{_var}/www/%{name}

cd webtree

%{__rm} includes/.htaccess
%{__cp} -a includes %{buildroot}%{_datadir}/%{name}

/bin/touch %{buildroot}%{_logdir}/%{name}/errors.log

%{__cp} -a * %{buildroot}%{_var}/www/%{name}
%{__rm} -r %{buildroot}%{_var}/www/%{name}/includes

%{__cat} > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} configuration

Alias /%{name} %{_var}/www/%{name}

<Directory %{_var}/www/%{name}>
    Order deny,allow
    Allow from all
</Directory>

<Files %{_var}/www/%{name}/chair/customize.php>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
</Files>

<LocationMatch /%{name}>
    Options FollowSymLinks
    RewriteEngine on
    RewriteCond %{SERVER_PORT} !^443$
    RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
</LocationMatch>
EOF

%clean
%{__rm} -rf %{buildroot}

%post
%create_ghostfile %{_logdir}/%{name}/errors.log root apache 0664
%{_post_webapp}

%postun
%{_postun_webapp}

%files
%defattr(0644,root,root,755)
%doc LICENSE.txt README testOnly/ tools/
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/includes
%config(noreplace) %{_webappconfdir}/%{name}.conf
%defattr(0664,root,apache,775)
%dir %{_var}/www/%{name}
%{_var}/www/%{name}/*
%dir %{_var}/lib/%{name}
%dir %{_logdir}/%{name}
%ghost %{_logdir}/%{name}/errors.log


%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.61-4mdv2009.0
+ Revision: 261928
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.61-3mdv2009.0
+ Revision: 255892
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 0:0.61-1mdv2008.1
+ Revision: 119114
- 0.61


* Sun Nov 26 2006 David Walluck <walluck@mandriva.org> 0.53-1mdv2007.0
+ Revision: 87333
- Import websubrev

* Sun Nov 26 2006 David Walluck <walluck@mandriva.org> 0:0.53-1mdv2007.1
- release

